## GoaMediaServer GoaMediaServer — Generated C code for the org.gnome.OnlineAccounts.MediaServer D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_media_server_interface_info ()
guint | goa_media_server_override_properties ()

## Properties

gboolean | dlna-supported | Read / Write
char * | udn | Read / Write

## Types and Values

| GoaMediaServer
struct | GoaMediaServerIface
struct | GoaMediaServerProxy
struct | GoaMediaServerProxyClass
struct | GoaMediaServerSkeleton
struct | GoaMediaServerSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaMediaServer
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaMediaServerSkeleton
        ╰── GDBusProxy
            ╰── GoaMediaServerProxy

## Prerequisites

GoaMediaServer requires GObject.

## Implemented Interfaces

GoaMediaServerProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaMediaServer.

GoaMediaServerSkeleton implements GDBusInterface and GoaMediaServer.

## Known Implementations

GoaMediaServer is implemented by GoaMediaServerProxy and GoaMediaServerSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.MediaServer D-Bus interface in C.

## Functions

### goa_media_server_interface_info ()

    GDBusInterfaceInfo *
    goa_media_server_interface_info (void);

`goa_media_server_interface_info` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Gets a machine-readable description of the org.gnome.OnlineAccounts.MediaServer D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.14

### goa_media_server_override_properties ()

    guint
    goa_media_server_override_properties (GObjectClass *klass,
                                          guint property_id_begin);

`goa_media_server_override_properties` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Overrides all GObject properties in the GoaMediaServer interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.14

## Types and Values

### GoaMediaServer

    typedef struct _GoaMediaServer GoaMediaServer;

`GoaMediaServer` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

Since: 3.14

### struct GoaMediaServerIface

    struct GoaMediaServerIface {
      GTypeInterface parent_iface;

      gboolean  (*get_dlna_supported) (GoaMediaServer *object);

      const gchar * (*get_udn) (GoaMediaServer *object);
    };

`GoaMediaServerIface` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_dlna_supported` () | Getter for the “dlna-supported” property. |
`get_udn` () | Getter for the “udn” property. |

Since: 3.14

### struct GoaMediaServerProxy

    struct GoaMediaServerProxy;

`GoaMediaServerProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaMediaServerProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.14

### struct GoaMediaServerProxyClass

    struct GoaMediaServerProxyClass {
      GDBusProxyClass parent_class;
    };

`GoaMediaServerProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaMediaServerProxy.

#### Members

Since: 3.14

### struct GoaMediaServerSkeleton

    struct GoaMediaServerSkeleton;

`GoaMediaServerSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaMediaServerSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.14

### struct GoaMediaServerSkeletonClass

    struct GoaMediaServerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`GoaMediaServerSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaMediaServerSkeleton.

#### Members

Since: 3.14

## Property Details

### The `“dlna-supported”` property

      “dlna-supported”           gboolean

Represents the D-Bus property "DlnaSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`GoaMediaServer:dlna-supported` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: GoaMediaServer

Flags: Read / Write

Default value: FALSE

Since: 3.14

### The `“udn”` property

      “udn”                      char *

Represents the D-Bus property "Udn".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

`GoaMediaServer:udn` is deprecated and should not be used in newly-written code.

The D-Bus property has been deprecated.

Owner: GoaMediaServer

Flags: Read / Write

Default value: NULL

Since: 3.14